
From: Arnd Bergmann <arnd@arndb.de>

These must have slipped through in the job control rework and are needed
for building 2.6.4-mm1 in some configurations.


---

 25-akpm/drivers/s390/char/keyboard.c |    2 +-
 fs/compat_ioctl.c                    |    0 
 2 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/s390/char/keyboard.c~move-job-control-stuff-tosignal_struct-s390-fix drivers/s390/char/keyboard.c
--- 25/drivers/s390/char/keyboard.c~move-job-control-stuff-tosignal_struct-s390-fix	2004-03-13 12:31:07.930864504 -0800
+++ 25-akpm/drivers/s390/char/keyboard.c	2004-03-13 12:31:07.933864048 -0800
@@ -471,7 +471,7 @@ kbd_ioctl(struct kbd_data *kbd, struct f
 	 * To have permissions to do most of the vt ioctls, we either have
 	 * to be the owner of the tty, or have CAP_SYS_TTY_CONFIG.
 	 */
-	perm = current->tty == kbd->tty || capable(CAP_SYS_TTY_CONFIG);
+	perm = current->signal->tty == kbd->tty || capable(CAP_SYS_TTY_CONFIG);
 	switch (cmd) {
 	case KDGKBTYPE:
 		return put_user(KB_101, (char*) arg);
diff -puN fs/compat_ioctl.c~move-job-control-stuff-tosignal_struct-s390-fix fs/compat_ioctl.c

_
